## org.apache.axis.constants
Class Scope.Type

    java.lang.Object
      org.apache.axis.constants.Enum.Type
          org.apache.axis.constants.Scope.Type

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Scope

public static class Scope.Type
extends Enum.Type

See Also:
  Serialized Form

Method Summary
`Scope` `getScope(int scope)`
`Scope` `getScope(java.lang.String scope)`
`Scope` `getScope(java.lang.String scope, Scope dephault)`

Methods inherited from class org.apache.axis.constants.Enum.Type
`getDefault, getEnum, getEnum, getEnum, getEnumNames, getName, isValid, setDefault, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getScope

    public final Scope getScope(int scope)

### getScope

    public final Scope getScope(java.lang.String scope)

### getScope

    public final Scope getScope(java.lang.String scope,
                                Scope dephault)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.